Subject: Re: bug#20393: cannot compile when one folder has spaces

From: Stefan Kangas <[email-masked]>
Date: Tue, 8 Sep 2020 14:05:11 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Christian <[email-masked]> writes:
>
>> Hi, I found a problem when trying to compile using a project (gpj) file. Is
>> easy to solve.
>>
>> The problem is that if you're at a directory with spaces, gnatmake will
>> recieve two parameters instead of one.
>>
>> The solution is easy: The variable ada-build-make-cmd needs double quotes
>> between the "{gpr_file}" substring:
>> "${cross_prefix}gnatmake -P\"${gpr_file}\" -o ${main} ${main} ${gnatmake_opt} -
>> cargs -I${src_dir} ${comp_opt} -bargs ${bind_opt} -largs ${link_opt}"
>
> Stephen, could you take a look at this one?  I'm not familiar with
> ada-mode -- does the ${} expansion quote the argument itself?  If not,
> this seems like a logical solution, but will probably fail if the file
> has a " character in the name.

That was one year ago.  Any news here?

Thanks in advance.